as.ladp {oce} | R Documentation

## Coerce data into an ladp object

### Description

Coerces data into an ladp object

### Usage

    as.ladp(longitude, latitude, station, time,
        pressure, u, v, uz, vz, salinity, temperature, ...)

### Arguments

`longitude` | longitude in degrees east, or an `oce` object that contains the data otherwise given by `longitude` and the other arguments.
`latitude` | latitude in degrees east (use negative in southern hemisphere).
`station` | number or string indicating station ID.
`time` | time at the start of the profile, constructed by e.g. `as.POSIXct`.
`pressure` | pressure in decibars, through the water column.
`u` | eastward velocity (m/s).
`v` | northward velocity (m/s).
`uz` | vertical derivative of eastward velocity (1/s).
`vz` | vertical derivative of northward velocity (1/s).
`salinity` | salinity through the water column, in practical salinity units.
`temperature` | temperature through the water column.
`...` | optional additional data columns.

### Details

This function assembles vectors of pressure and velocity, possibly also with shears, salinity, temperature, etc.

### Value

An object of `class` `"ladp"`.

### Author(s)

Dan Kelley

### See Also

The documentation for `ladp-class` explains the structure of `ladp` objects, and also outlines the other functions dealing with them.

[Package oce version 0.9-18 Index]